Package com.sun.jna.platform.win32

# Class DdemlUtil.DdemlException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.sun.jna.platform.win32.DdemlUtil.DdemlException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  DdemlUtil

public static class DdemlUtil.DdemlException extends RuntimeException
DdemlException wraps error codes reported by the DDEML functions as an exception.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DdemlException(int errorCode, String message)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DdemlUtil.DdemlException`
  `create(int errorCode)`
  `int`
  `getErrorCode()`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DdemlException

    public DdemlException(int errorCode, String message)

- ## Method Details

  - ### create

    public static DdemlUtil.DdemlException create(int errorCode)

  - ### getErrorCode

    public int getErrorCode()